# Git Integrations

LingoHub API V2 (Beta) · [all operations](https://developers.lingohub.com/reference/v2.md)

Connect a project to a Git repository and sync files with it as async jobs.

## Operations

- [`GET /v2/projects/{projectId}/integrations/git`](https://developers.lingohub.com/reference/v2/operations/getprojectgitintegration.md): Retrieve the project's git integration
- [`POST /v2/projects/{projectId}/integrations/git`](https://developers.lingohub.com/reference/v2/operations/createprojectgitintegration.md): Connect a project to Git
- [`DELETE /v2/projects/{projectId}/integrations/git`](https://developers.lingohub.com/reference/v2/operations/deleteprojectgitintegration.md): Disconnect a project's Git integration
- [`PATCH /v2/projects/{projectId}/integrations/git`](https://developers.lingohub.com/reference/v2/operations/updateprojectgitintegration.md): Update the project's git integration
- [`GET /v2/branches/{branchId}/integrations/git`](https://developers.lingohub.com/reference/v2/operations/getbranchgitintegration.md): Retrieve the branch's git integration
- [`POST /v2/branches/{branchId}/integrations/git`](https://developers.lingohub.com/reference/v2/operations/createbranchgitintegration.md): Bind a project branch to Git
- [`DELETE /v2/branches/{branchId}/integrations/git`](https://developers.lingohub.com/reference/v2/operations/deletebranchgitintegration.md): Disconnect a project branch from Git
- [`POST /v2/branches/{branchId}/integrations/git/push`](https://developers.lingohub.com/reference/v2/operations/pushtogit.md): Push to git integration
- [`POST /v2/branches/{branchId}/integrations/git/pull`](https://developers.lingohub.com/reference/v2/operations/pullfromgit.md): Pull from git integration
